/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.core.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.core.dto.CacheRefresh;
import com.crunii.micro.core.dto.CacheRefreshC;
import com.crunii.micro.core.dto.CacheRefreshQ;
import com.crunii.micro.core.dto.CacheRefreshU;
import com.crunii.micro.domain.entity.main.TCacheRefresh;
import com.crunii.micro.domain.entity.main.TCacheRefreshParam;

import java.util.List;

/**
 * @author 田平 create 2018年10月20日上午11:34:08
 */
public interface CacheRefreshService {

	public PageRsp<CacheRefresh> pageCacheRefresh(PageReq<CacheRefreshQ> req);

	public TCacheRefresh getTCacheRefresh(int refreshId);

	public int createCacheRefresh(CacheRefreshC refreshC);

	public void updateCacheRefresh(CacheRefreshU refreshU);

	public void deleteCacheRefresh(int refreshId);

	public List<TCacheRefreshParam> getTCacheRefreshParams(int refreshId);

}